> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Note

> Update Note



## OpenAPI

````yaml /api-reference/calendars/openapi.json put /calendars/appointments/{appointmentId}/notes/{noteId}
openapi: 3.0.0
info:
  title: Calendars API
  description: Documentation for Calendars API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Calendars
    description: Documentation for Calendars API
  - name: Calendar Groups
    description: Documentation for Calendars API
  - name: Calendar Events
    description: Documentation for Calendars API
  - name: Appointment Notes
    description: Documentation for Calendars API
  - name: Calendar Resources - Rooms and Equipment
    description: Documentation for Calendars API
  - name: Calendar Notifications
    description: Documentation for Calendars API
  - name: Availability
    description: Documentation for Calendars API
paths:
  /calendars/appointments/{appointmentId}/notes/{noteId}:
    put:
      tags:
        - Appointment Notes
      summary: Update Note
      description: Update Note
      operationId: update-appointment-note
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-04-15'
        - name: appointmentId
          required: true
          in: path
          description: Appointment ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NotesDTO'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCreateUpdateNoteSuccessfulResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
      security:
        - bearer:
            - calendars/events.write
components:
  schemas:
    NotesDTO:
      type: object
      properties:
        userId:
          type: string
          example: GCs5KuzPqTls7vWclkEV
        body:
          type: string
          example: lorem ipsum
          description: Note body
          maxLength: 5000
      required:
        - body
    GetCreateUpdateNoteSuccessfulResponseDto:
      type: object
      properties:
        note:
          $ref: '#/components/schemas/GetNoteSchema'
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    GetNoteSchema:
      type: object
      properties:
        id:
          type: string
          example: HGPcayliwcdoUFzvbTok
        body:
          type: string
          example: lorem ipsum
        userId:
          type: string
          example: TUcmRxWrjqzJS8EjkxNK
        dateAdded:
          type: string
          example: '2021-07-08T12:02:11.285Z'
        contactId:
          type: string
          example: TUcmRxWrjqzJS8EjkxNK
        createdBy:
          $ref: '#/components/schemas/NoteCreatedBySchema'
    NoteCreatedBySchema:
      type: object
      properties:
        id:
          type: string
          example: TUcmRxWr
        name:
          type: string
          example: John Doe
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````